### Hierarchy

- Controller

## Index

### Properties

- fileDropEnabled
- gmfPermalink_
- gmfSnapping_
- manageResize
- map
- ngeoFeatureOverlayMgr_
- resizeTransition

### Methods

- $onInit

## Properties

### fileDropEnabled

fileDropEnabled: boolean

- Defined in contribs/gmf/src/map/component.js:135

### gmfPermalink_

gmfPermalink_: any

- Defined in contribs/gmf/src/map/component.js:125

### gmfSnapping_

gmfSnapping_: any

- Defined in contribs/gmf/src/map/component.js:130

### manageResize

manageResize: boolean

- Defined in contribs/gmf/src/map/component.js:108

### map

map: Map

- Defined in contribs/gmf/src/map/component.js:103

### ngeoFeatureOverlayMgr_

ngeoFeatureOverlayMgr_: FeatureOverlayMgr

- Defined in contribs/gmf/src/map/component.js:120

### resizeTransition

resizeTransition: boolean

- Defined in contribs/gmf/src/map/component.js:113

## Methods

### $onInit

- $onInit(): void

- - Defined in contribs/gmf/src/map/component.js:141

  Called on initialization of the controller.

  #### Returns void

Generated using TypeDoc